Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class ReadMailModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.mail.MailModel
              portlets.compoze.groupware.model.mail.ReadMailModel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ReadCounteredInvitationModel, ReadDeliveryReceiptModel, ReadInvitationInfoRequestModel, ReadMeetingCancellationModel, ReadMeetingRequestModel, ReadMeetingResponseModel, ReadReturnReceiptModel, ReadTraceReportModel, ReadUndeliverableModel

public class ReadMailModel
extends MailModel
implements java.io.Serializable

This class represents the data model for the read mail page (`read_mail.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.mail.MailModel
`QUICK_VIEW_ALL, QUICK_VIEW_HIGH_PRIORITY, QUICK_VIEW_UNREAD`

Constructor Summary
`ReadMailModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, MailPreferences mailPrefs, Accounts accounts)` Constructor.

Method Summary
`java.lang.String` | `getCurrentFolderID()` Gets the the folder id of the folder.
`FolderNavigation` | `getFolderNavigation()` Gets the folder navigation.
`Message` | `getMessage()` Gets the message.
`int` | `getMessageCount()` Gets the message count.
`Pagination` | `getPagination()` Gets the pagination.
`portlets.compoze.groupware.controls.provider.Provider` | `getProvider()` Gets the provider.
`boolean` | `isCommentsSectionAvailable()` Gets true if the comments section should be shown on mail items in the user interface or false otherwise.
`boolean` | `isDeleteAvailable()` Gets true if the delete functionality should be shown on mail items in the user interface or false otherwise.
`boolean` | `isFirstMessage()` Returns `true` if the message is absolutely the first message in current user folder or `false` otherwise.
`boolean` | `isFirstMessageInList()` Returns `true` if the message is the first message in current view or `false` otherwise.
`boolean` | `isForwardAvailable()` Gets true if the forward button should be available in the user interface or false otherwise.
`boolean` | `isLastMessage()` Returns `true` if the message is absolutely the last message in current user folder or `false` otherwise.
`boolean` | `isLastMessageInList()` Returns `true` if the message is the last message in current view or `false` otherwise.
`boolean` | `isMoveToFolderAvailable()` Gets true if the move to folder functionality should be shown on mail items in the user interface or false otherwise.
`void` | `setCurrentFolderID(java.lang.String sCurrentFolderID)` Sets the current folder id of the folder.
`void` | `setFolderNavigation(FolderNavigation folderNavigation)` Sets the folder navigation.
`void` | `setMessage(Message msg)` Sets the message.
`void` | `setMessageCount(int iMessageCount)` Sets the message count.
`void` | `setPagination(Pagination pagination)` Sets the pagination.
`void` | `setProvider(portlets.compoze.groupware.controls.provider.Provider provider)` Sets the provider.

Methods inherited from class portlets.compoze.groupware.model.mail.MailModel
`getInboxFolderID, getMailPreferences, setInboxFolderID`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadMailModel

    public ReadMailModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                         FeatureGroup featureGroup,
                         GroupwarePreferences groupwarePrefs,
                         MailPreferences mailPrefs,
                         Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `mailPrefs` - the mail preferences (may not be `null`)

Method Detail

### setMessage

    public void setMessage(Message msg)

  Sets the message.

  Parameters:
    `msg` - the message (may not be `null`)

### getMessage

    public Message getMessage()

  Gets the message.

  Returns:
    the message

### isCommentsSectionAvailable

    public boolean isCommentsSectionAvailable()

  Gets true if the comments section should be shown on mail items in the user interface or false otherwise.

  Returns:
    `true` if the comments section should be shown on mail items in the user interface or `false` otherwise

### setMessageCount

    public void setMessageCount(int iMessageCount)

  Sets the message count.

  Parameters:
    `iMessageCount` - the message count

### getMessageCount

    public int getMessageCount()

  Gets the message count.

  Returns:
    the message count

### isFirstMessage

    public boolean isFirstMessage()

  Returns `true` if the message is absolutely the first message in current user folder or `false` otherwise.

  Returns:
    `true` if the message is absolutely the first message in current user folder or `false` otherwise

### isFirstMessageInList

    public boolean isFirstMessageInList()

  Returns `true` if the message is the first message in current view or `false` otherwise.

  Returns:
    `true` if the message is the first message in current view or `false` otherwise

### isLastMessage

    public boolean isLastMessage()

  Returns `true` if the message is absolutely the last message in current user folder or `false` otherwise.

  Returns:
    `true` if the message is absolutely the last message in current user folder or `false` otherwise

### isLastMessageInList

    public boolean isLastMessageInList()

  Returns `true` if the message is the last message in current view or `false` otherwise.

  Returns:
    `true` if the message is the last message in current view or `false` otherwise

### setProvider

    public void setProvider(portlets.compoze.groupware.controls.provider.Provider provider)

  Sets the provider.

  Parameters:
    `provider` - the provider (may not be `null`)

### getProvider

    public portlets.compoze.groupware.controls.provider.Provider getProvider()

  Gets the provider.

  Returns:
    the provider

### setCurrentFolderID

    public void setCurrentFolderID(java.lang.String sCurrentFolderID)

  Sets the current folder id of the folder.

  Parameters:
    `sCurrentFolderID` - current folder id (may not be `null`)

### getCurrentFolderID

    public java.lang.String getCurrentFolderID()

  Gets the the folder id of the folder.

  Returns:
    the provider

### isMoveToFolderAvailable

    public boolean isMoveToFolderAvailable()

  Gets true if the move to folder functionality should be shown on mail items in the user interface or false otherwise.

  Returns:
    `true` if the move to folder funtionality should be shown on mail items in the user interface or `false` otherwise

### isDeleteAvailable

    public boolean isDeleteAvailable()

  Gets true if the delete functionality should be shown on mail items in the user interface or false otherwise.

  Returns:
    `true` if the delete functionality should be shown on mail items in the user interface or `false` otherwise

### setPagination

    public void setPagination(Pagination pagination)

  Sets the pagination.

  Parameters:
    `pagination` - the pagination

### getPagination

    public Pagination getPagination()

  Gets the pagination.

  Returns:
    the pagination

### getFolderNavigation

    public FolderNavigation getFolderNavigation()

  Gets the folder navigation.

  Overrides:
    `getFolderNavigation` in class `MailModel`
  Returns:
    the folder navigation

### setFolderNavigation

    public void setFolderNavigation(FolderNavigation folderNavigation)

  Sets the folder navigation.

  Parameters:
    `folderNavigation` - the folder navigation (may not be `null`)

### isForwardAvailable

    public boolean isForwardAvailable()

  Gets true if the forward button should be available in the user interface or false otherwise.

  Returns:
    `true` if the forward button should be available in the user interface or `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.